"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Discord = void 0;

var _axios = _interopRequireDefault(require("axios"));

var _createNotificationPlatform = require("../createNotificationPlatform");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Discord = (0, _createNotificationPlatform.createNotificationPlatform)({
  name: 'Discord',
  credentialNames: ['url'],
  sendFunction: async args => {
    const {
      credentials,
      content
    } = args;
    await _axios.default.post(new URL(credentials.url).href, {
      content: content.body.markdown,
      username: content.title
    });
  }
});
exports.Discord = Discord;
//# sourceMappingURL=discord.js.map